__doc__='''Shopper's Sales Booth implementation'''

__version__='$Revision: 1.7 $'[11:-2]

from Globals import Persistent

try:
    import Persistence
    PersistentMapping = Persistence.PersistentMapping.PersistentMapping

except AttributeError:
    PersistentMapping = Persistence.PersistentMapping

import Acquisition
import string
import time

class SalesBooth( Persistent, Acquisition.Implicit ):

    shopper = None
    
    def __init__(self, shopper = None ):
        self.shopper = shopper
        self.items = PersistentMapping()

    def UpdateShopper(self, shopper):
        """ we have a new shopper..."""
        self.shopper = shopper

    def addItem(self, anItem, updateBooth=None ):
        """ add to/set the quantity for an item in the basket """

        theKey = anItem.sku  # should be a unique key....
        
        if anItem.quantityAvailable == 0:
            # delete this one.... from the sales booth.. also from it's folder
            self.deleteItem(theKey)
            self.removeMarketItem(theKey)

        else:

            i = self.items
            i[theKey] = anItem
            self.items = i

    def deleteItem(self, theKey = None):
        """ delete an item from the basket."""

        i = self.items

        if theKey is not None:
            if i.has_key(theKey):
                del i[theKey]
                self.items = i




                

        
        

