__doc__='''EMarket

$Id: __init__.py,v 1.7 2000/07/03 19:44:14 rdm Exp $'''

__version__='$Revision: 1.7 $'[11:-2]

from ImageFile import ImageFile

# Import the module containing product-specific objects that are
# made available in folders.

import EMarket
import MarketItem
import Shopper

# Product meta-data:

# Names of objects added by this product:

meta_types=(
    {'name': 'EMarket',                           # The name of the object type
     'action': 'manage_addEMarketForm', # The method to add one.
     },
    )

# Attributes (usually "methods") to be added to folders to support
# creating objects:

methods={
    'manage_addEMarketForm': EMarket.addEMarketForm,
    'manage_addEMarket':     EMarket.addEMarket,
    'manage_addShopperForm': Shopper.addShopperForm,
    'manage_addShopper'    : Shopper.addShopper,
    'manage_addMarketItemForm' : MarketItem.addMarketItemForm,
    'manage_addMarketItem' : MarketItem.addMarketItem,
    'manage_addMarketItemsFolderForm': EMarket.addMarketItemsFolderForm,    
    'manage_addMarketItemsFolder': EMarket.addMarketItemsFolder
    }

# Permission to be added to folders:
__ac_permissions__=(
    # To add items:
    ('Add EMarkets',
     ('manage_addEMarketForm', 'manage_addEMarket')),
    # To manipulate item permissions at a high level.  Note that the
    # list of objects is empty, since we are just providing a place
    # to put acquired settings:
    ('Change EMarkets', ()),
    )

# Define shared web objects that are used by products.
# This is usually (always ?) limited to images used 
# when displaying an object ub contents lists.
# These objects are accessed as:
#   <!--#var SCRIPT_NAME-->/misc_/Product/name
misc_={
    'emarket':   ImageFile('emarket.gif',   globals()),
    'shopper': ImageFile('shopper.gif', globals()),
    'shopperFolder' : ImageFile('shopperFolder.gif', globals()),
    'marketItem': ImageFile('marketItem.gif', globals()),
    'marketItemFolder' : ImageFile('marketItemFolder.gif', globals()),
    'wampumbox' : ImageFile('wampumbox.gif', globals()),
    }
